local music = {}

local regions = 
{
	[false] =						{"Background color",	"Music",	"Color RGB", 	"Light color",	"Light angle", 	"Is it city?"},
	["Argent City"]	=				{{41,107,214},			music[2], 	{114,148,155}, 	{255,255,255}, 	{-1,-1,-1}, 	true},
	["Outskirt of Argent City"]	=	{{235,44,169},			music[12], 	{114,148,155}, 	{255,255,255},	{-1,-1,-1},		false},
	["Belmont Plains"] =			{{3,33,187},			music[12], 	{114,148,155}, 	{255,255,255},	{-1,-1,-1},		false},
	["Shepherd Plains"]	=			{{239,95,95},			music[12], 	{114,148,155}, 	{255,255,255},	{-1,-1,-1},		false},
	["Andes Forest"] =				{{76,252,16},			music[12], 	{120,120,120}, 	{255,255,255},	{-1,-1,-1},		false},
	["Belda Meadow"] =				{{236,190,212},			music[12], 	{120,120,120}, 	{255,255,255},	{-1,-1,-1},		false},
	["Chaldea Tundra"] =			{{237,81,6},			music[12], 	{86,129,130}, 	{255,255,255},	{-1,-1,-1},		false},
	["Thundoria Castle"] =			{{69,77,153},			music[3], 	{120,120,110}, 	{255,255,255},	{-1,-1,-1},		true},
	["Outskirt of Thundoria"] =		{{37,142,81},			music[12], 	{150,150,151}, 	{255,255,255},	{-1,-1,-1},		false},
	["Thundoria Harbor"] =			{{101,83,5},			music[3], 	{120,120,152}, 	{255,255,255},	{-1,-1,-1},		false},
	["Sacred Forest"] =				{{92,51,236},			music[11], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Sacred Snow Mountain"] =		{{63,84,22},			music[9], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Shaitan City"] =				{{167,34,205},			music[4], 	{145,150,102}, 	{255,255,255},	{-1,-1,-1},		true},
	["Old Shaitan City"] =			{{204,143,96},			music[4], 	{145,150,103}, 	{255,255,255},	{-1,-1,-1},		false},
	["Southern Desert"] =			{{212,243,78},			music[12], 	{145,150,104}, 	{255,255,255},	{-1,-1,-1},		false},
	["Prairie Desert"] =			{{74,96,61},			music[12], 	{145,150,105}, 	{255,255,255},	{-1,-1,-1},		false},
	["Isle of Morpheus"] =			{{203,238,47},			music[12], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Abaddon Capital"] =			{{104,22,117},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Upper Icicle Castle"] =		{{147,109,53},			music[12], 	{110,171,199}, 	{255,255,255},	{-1,-1,-1},		true},
	["Lower Icicle Castle"] =		{{51,244,13},			music[6], 	{110,171,199}, 	{255,255,255},	{-1,-1,-1},		true},
	["Atlantis Snow Field"] =		{{76,230,5},			music[12], 	{110,171,199}, 	{255,255,255},	{-1,-1,-1},		false},
	["Icespire"] =					{{57,33,16},			music[12], 	{110,171,199}, 	{255,255,255},	{-1,-1,-1},		false},
	["Galley Isle"] =				{{115,17,139},			music[9], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Spring Town"] =				{{208,161,90},			music[13], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Spring Island"] =				{{80,99,145},			music[13], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Mysterious Cavern"] =			{{50,216,246},			music[9], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Summer Island"] =				{{168,233,249},			music[14], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Ancient Rainforest"] =		{{128,114,64},			music[12], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Autumn Island"] =				{{141,110,121},			music[7], 	{170,106,74}, 	{255,255,255},	{-1,-1,-1},		false},
	["Dela Woodlands"] =			{{236,161,43},			music[12], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Isle of Chill"] =				{{114,54,146},			music[12], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Zephyr Isle"] =				{{103,182,118},			music[12], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Timber Isle"] =				{{53,42,234},			music[12], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Arena Isle"] =				{{221,243,5},			music[12], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Outlaw Isle"] =				{{49,78,9},				music[12], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Glacier Isle"] =				{{240,207,11},			music[12], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Cupid Isle"] =				{{240,207,11},			music[12], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Canary Isle"] =				{{185,149,202},			music[12], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Abandoned Mine 1"] =			{{150,219,2},			music[9], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Abandoned Mine 2"] =			{{18,252,192},			music[9], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Silver Mine 1"] =				{{16,30,236},			music[9], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Silver Mine 2"] =				{{21,170,32},			music[9], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Silver Mine 3"] =				{{195,19,206},			music[8], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Lone Tower 1"] =				{{67,65,130},			music[10], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Lone Tower 2"] =				{{111,49,196},			music[10], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Lone Tower 3"] =				{{115,252,101},			music[10], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Lone Tower 4"] =				{{157,117,157},			music[10], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Lone Tower 5"] =				{{47,213,183},			music[10], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Lone Tower 6"] =				{{155,239,79},			music[10], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Sanctuary Maze"] =			{{68,251,228},			music[9], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Isle of Ruin"] =				{{47,211,221},			music[9], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Barren Cavern"] =				{{25,93,98},			music[9], 	{198,152,68}, 	{253,247,229},	{-1,-1,-1},		false},
	["Guardian Fairy"] =			{{135,206,147},			music[12], 	{120,120,120}, 	{255,255,255},	{-1,-1,-1},		false},
	["Chaldea Haven"] =				{{125,70,239},			music[12], 	{86,129,130}, 	{255,255,255},	{-1,-1,-1},		false},
	["Abandon Mine Haven"] =		{{84,137,128},			music[12], 	{114,148,155}, 	{255,255,255},	{-1,-1,-1},		false},
	["Icicle Haven"] =				{{108,55,216},			music[12], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Oasis Haven"] =				{{32,125,91},			music[12], 	{145,150,104}, 	{255,255,255},	{-1,-1,-1},		false},
	["Rockery Haven"] =				{{236,194,55},			music[12], 	{114,148,155}, 	{255,255,255},	{-1,-1,-1},		false},
	["Atlantis Haven"] =			{{6,51,63},				music[12], 	{110,171,199}, 	{255,255,255},	{-1,-1,-1},		false},
	["Skeleton Haven"] =			{{249,33,4},			music[12], 	{110,171,199}, 	{255,255,255},	{-1,-1,-1},		false},
	["Valhalla Haven"] =			{{121,144,53},			music[12], 	{120,120,120}, 	{255,255,255},	{-1,-1,-1},		false},
	["Babul Haven"] =				{{214,153,143},			music[12], 	{145,150,104}, 	{255,255,255},	{-1,-1,-1},		false},
	["Solace Haven"] =				{{15,218,22},			music[12], 	{120,120,120}, 	{255,255,255},	{-1,-1,-1},		false},
	["Icespire Haven"] =			{{212,158,103},			music[12], 	{110,171,199}, 	{255,255,255},	{-1,-1,-1},		false},
	["Chaotic Oasis"] =				{{168,43,212},			music[12], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Divine Oasis"] =				{{126,30,242},			music[12], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Sand Bandit Camp"] =			{{118,79,29},			music[12], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Bandit Camp"] =				{{221,65,111},			music[12], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Demon Lair"] =				{{200,149,199},			music[12], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Isle of Fortune"] =			{{191,103,213},			music[12], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Sara Haven"] =				{{104,43,234},			music[12], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Albania Haven"] =				{{224,199,62},			music[12], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Hafta Haven"] =				{{135,85,33},			music[12], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Reagen Haven"] =				{{63,178,57},			music[12], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Norite Haven"] =				{{244,68,53},			music[12], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Aerase Haven"] =				{{210,198,243},			music[12], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Lahu Haven"] =				{{180,161,8},			music[12], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Pyrex Haven"] =				{{236,209,143},			music[12], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Woody Haven"] =				{{214,127,72},			music[12], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Gelada Haven"] =				{{162,178,52},			music[12], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Hubble Haven"] =				{{173,209,85},			music[12], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Ethio Haven"] =				{{77,53,71},			music[12], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Salva Haven"] =				{{180,193,31},			music[12], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Karmas Haven"] =				{{36,137,84},			music[12], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Muse Haven"] =				{{47,165,183},			music[12], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Garden of Edel"] =			{{206,97,41},			music[8], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Dark Swamp 1"] =				{{5,128,34},			music[8], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Forsaken City 1"] =			{{252,129,141},			music[8], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Dark Swamp 2"] =				{{206,123,122},			music[8], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Dark Swamp 3"] =				{{36,76,89},			music[8], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Forsaken City 2"] =			{{242,171,97},			music[8], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Forsaken City 3"] =			{{164,230,2},			music[8], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Demonic World 1"] =			{{50,215,93},			music[8], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Demonic World 2"] =			{{94,11,153},			music[8], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Arena"] =						{{141,99,210},			music[8], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Seabed Tunnel"] =				{{103,157,130},			music[8], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Black Dragon Lair 1"] =		{{212,85,58},			music[8], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Black Dragon Lair 2"] =		{{61,57,42},			music[8], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Black Dragon Lair 3"] =		{{142,77,89},			music[8], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Underwater Tunnel"] =			{{114,221,104},			music[9], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Skeletar Isle"] =				{{86,219,73},			music[9], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Naval Base"] =				{{132,5,100},			music[9], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Treasure Gulf"] =				{{119,229,46},			music[9], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Underground Dock"] =			{{77,55,210},			music[9], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Research Shelter"] =			{{43,183,74},			music[9], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Armory"] =					{{183,214,241},			music[9], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Abaddon 1"] =					{{112,34,109},			music[9], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Abaddon 2"] =					{{97,231,199},			music[9], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Abaddon 3"] =					{{193,245,237},			music[9], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Abaddon 4"] =					{{16,236,40},			music[9], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Heaven"] =					{{8,217,215},			music[2], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Chaos Argent"] =				{{234,9,226},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Abaddon 5"] =					{{206,16,176},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Abaddon 6"] =					{{23,233,130},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Abaddon 7"] =					{{75,163,147},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Abaddon 8"] =					{{98,47,35},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Abaddon 9"] =					{{233,216,16},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Abaddon 10"] =				{{178,186,187},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Abaddon 11"] =				{{226,64,246},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Abaddon 12"] =				{{77,244,121},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Abaddon 13"] =				{{180,50,208},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Abaddon 14"] =				{{11,59,239},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Abaddon 15"] =				{{27,174,168},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Abaddon 16"] =				{{134,144,185},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Abaddon 17"] =				{{155,249,181},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Abaddon 18"] =				{{153,139,227},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Abaddon Eternal"] =			{{128,248,172},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Abaddon Haven"] =				{{215,108,251},			music[8], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Icicle Mirage"] =				{{2,55,212},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Thundoria Mirage"] =			{{79,134,69},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Shaitan Mirage"] =			{{9,119,147},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Sacred War"] =				{{14,103,20},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Mini Sacred War"] =			{{92,247,123},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Mosque"] =					{{17,178,140},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Xmas Village"] =				{{233,118,107},			music[15], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Xmas Arena A"] =				{{215,42,65},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Xmas Arena B"] =				{{143,232,212},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Xmas Arena C"] =				{{19,182,75},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Xmas Arena D"] =				{{13,139,58},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Xmas Arena E"] =				{{137,56,156},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Reverse Xmas Village"] =		{{148,147,165},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Island Prison"] =				{{53,30,26},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Dark House"] =				{{77,142,137},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Low Level 2p Arena"] =		{{80,99,145},			music[13], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Mid Level 2p Arena"] =		{{141,110,121},			music[7], 	{170,106,74}, 	{250,242,210},	{-1,-1,-1},		false},
	["High Level 2p Arena"] =		{{168,233,249},			music[14], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Fortune Room"] =				{{235,233,76},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Low Level 3p Arena"] =		{{5,26,77},				music[13], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Mid Level 3p Arena"] =		{{145,55,140},			music[7], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["High Level 3p Arena"] =		{{179,145,204},			music[14], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Low Level 5p Arena"] =		{{224,85,56},			music[13], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Mid Level 5p Arena"] =		{{19,218,37},			music[7], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["High Level 5p Arena"] =		{{31,26,88},			music[14], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Tribulation of Faith 1"] =	{{153,136,239},			music[8], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Tribulation of Faith 2"] =	{{253,159,209},			music[8], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Tribulation of Faith 3"] =	{{202,250,237},			music[8], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Dark House"] =				{{205,141,85},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Player Killing Map"] =		{{205,141,85},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Black Dragon Lair"] =			{{141,137,58},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Dream Island"] =				{{63,24,9},				nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Forgotten Island"] =			{{232,1,240},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Region of the Demons"] =		{{172,252,194},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Astral Isle"] =				{{75,127,19},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Dimension 1"] =				{{53,178,215},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Dimension 2"] =				{{234,9,226},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Black Dragon Lair 4"] =		{{116,167,1},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 116"] =		{{250,140,244},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 117"] =		{{100,82,211},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 118"] =		{{185,181,196},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Nightmare Argent"] =			{{234,9,226},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 120"] =		{{243,100,210},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 121"] =		{{134,98,88},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 122"] =		{{95,196,47},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 123"] =		{{59,45,118},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 124"] =		{{88,238,205},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 125"] =		{{2,2,180},				nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Luna Haven"] =				{{122,97,10},			music[7], 	{114,148,155}, 	{255,255,255},	{-1,-1,-1},		false},
	["Winter Moon Island"] =		{{217,104,215},			music[7], 	{114,148,155}, 	{255,255,255},	{-1,-1,-1},		false},
	["Snow Kara Isle"] =			{{239,134,60},			music[11], 	{114,148,155}, 	{255,255,255},	{-1,-1,-1},		false},
	["Snow Ville Isle"] =			{{128,128,128},			music[14], 	{114,148,155}, 	{255,255,255},	{-1,-1,-1},		false},
	["Icy Lake Island"] =			{{180,40,8},			music[10], 	{114,148,155}, 	{255,255,255},	{-1,-1,-1},		false},
	["Ice-covered Island"] =		{{13,75,166},			music[6], 	{114,148,155}, 	{255,255,255},	{-1,-1,-1},		false},
	["1st Aurora Area"] =			{{122,97,10},			music[9], 	{114,148,155}, 	{255,255,255},	{-1,-1,-1},		false},
	["2nd Aurora Area"] =			{{208,205,156},			music[9], 	{114,148,155}, 	{255,255,255},	{-1,-1,-1},		false},
	["1st Dark Area"] =				{{18,222,247},			music[10], 	{114,148,155}, 	{255,255,255},	{-1,-1,-1},		false},
	["2nd Dark Area"] =				{{11,96,177},			music[10], 	{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 136"] =		{{111,97,12},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 137"] =		{{66,154,36},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 138"] =		{{146,17,37},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 139"] =		{{167,222,81},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 140"] =		{{110,71,198},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 141"] =		{{159,4,230},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 142"] =		{{184,7,111},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 143"] =		{{20,68,132},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 144"] =		{{14,154,24},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 145"] =		{{142,37,89},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 146"] =		{{92,158,57},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 147"] =		{{188,146,160},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 148"] =		{{122,153,85},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 149"] =		{{188,183,212},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 150"] =		{{39,136,46},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 151"] =		{{30,39,230},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 152"] =		{{161,20,96},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 153"] =		{{59,160,163},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 154"] =		{{135,58,94},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 155"] =		{{6,208,239},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 156"] =		{{107,14,201},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 157"] =		{{208,231,205},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 158"] =		{{77,93,71},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 159"] =		{{45,133,66},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 160"] =		{{220,120,137},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 161"] =		{{242,71,22},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 162"] =		{{24,38,222},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 163"] =		{{83,246,178},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 164"] =		{{95,133,110},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 165"] =		{{182,68,100},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 166"] =		{{252,142,62},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 167"] =		{{95,164,116},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 168"] =		{{150,223,125},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 169"] =		{{220,117,39},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 170"] =		{{235,100,228},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 171"] =		{{189,36,220},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 172"] =		{{114,38,80},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 173"] =		{{89,227,210},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 174"] =		{{19,196,198},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 175"] =		{{4,60,208},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 176"] =		{{222,132,209},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 177"] =		{{231,61,7},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 178"] =		{{92,216,119},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 179"] =		{{130,18,104},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 180"] =		{{201,212,70},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 181"] =		{{13,53,22},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 182"] =		{{69,246,187},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 183"] =		{{204,120,163},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 184"] =		{{232,4,130},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 185"] =		{{171,198,235},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 186"] =		{{167,132,219},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 187"] =		{{248,56,223},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 188"] =		{{96,68,85},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 189"] =		{{241,204,135},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 190"] =		{{179,42,224},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 191"] =		{{3,196,74},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 192"] =		{{198,52,240},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 193"] =		{{215,130,9},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 194"] =		{{48,202,188},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 195"] =		{{27,69,133},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 196"] =		{{166,14,218},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 197"] =		{{110,125,152},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 198"] =		{{206,63,239},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 199"] =		{{217,104,215},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 200"] =		{{239,134,60},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 201"] =		{{180,40,8},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Unknown Island 202"] =		{{13,75,166},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Player Killing Map 2"] =		{{18,222,247},			nil, 		{128,128,128}, 	{255,255,255},	{-1,-1,-1},		false},
	["Login Interface"] =			{{122,97,10},			nil, 		{114,148,155}, 	{255,255,255},	{-1,-1,-1},		false},
	}
}

local textures = {}
--[[
local hair_styles = 
{
	[false] =		{"Color Texture",	"Req. Items",	"Req. Money",	"Item", "Failed Item", "Usable by"},
	["Hairdo 1-"] =	{texture["Red"],	,	"Req. Money",	"Item", "Failed Item", "Usable by"},
}
--]]